# WARNING - Generated by {fusen} from dev/flat_study_squirrels.Rmd: do not edit by hand

#' Permet d’enregistrer le jeu de données en csv au chemin spécifié
#'
#' @param dataset Data frame. Jeu de données à enregistrer.
#' @param path Character. Chemin du fichier.
#' @param ... Autres paramètres. 
#' 
#' @importFrom utils write.csv2
#' @importFrom tools file_ext
#'
#' @return Character. Le chemin complet du csv créé.
#' @export
#'
#' @examples
#'
#'
#' # Création d'un dossier temporaire
#' mon_dossier_temp <- tempfile(pattern = "savecsv")
#' dir.create(mon_dossier_temp)
#'
#' # ok : le fichier .csv est enregistré dans le projet actuel
#' iris |> save_as_csv(file.path(mon_dossier_temp, "output.csv") )
#'
#' # ok : le fichier .csv suppression du rownames
#' iris |> save_as_csv(file.path(mon_dossier_temp, "output2.csv"), row.names = FALSE)
#'
save_as_csv <- function(dataset, path, ...){


  if(isFALSE(is.data.frame(dataset))) {
    stop("dataset is not a data frame")
  }
  
    if(isTRUE(nrow(dataset) == 0)) {
    stop("dataset ne contient aucune ligne")
  }
  
  if(isFALSE(is.character(path))) {
    stop("path is not a character")
  }
 
  if(isFALSE(file_ext(path)=="csv")) {
    stop("le fichier du chemin path n'est pas un csv")
  } 

  if(isFALSE(dir.exists(dirname(path)))) {
    stop("le dossier du chemin path n'existe pas")
  }  

  write.csv2(dataset, path, ...)
  
  return(path)
    
}
